Docs
Assignment APIAssignment

Get assignments by application

Security groups:Assigners
GET
/assignments/applications/{application}

Returns assignments by application and filter criteria.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

application*string

The eClear service to retrieve assignments for.

Value in"CLEAR-CUSTOMS"

Query Parameters

detail?string

Controls how much assignment data is included. Currently only Small is supported, which returns status and product class code.

Default"Small"
Value in"Small"
productIds?array<>

Filter results to the specified product IDs. Accepts multiple values as repeated parameters or as a comma-separated list.

Itemsitems <= 100
shopIds?array<>

Filter by shop. Pass -1 to return assignments for products that are not linked to any shop. Accepts multiple values as repeated parameters or as a comma-separated list.

assignmentStatus?array<>

Filter the assignments based on their status. Allows multiple status values.

Default["ASSIGNED","APPROVED","REJECTED"]
productClassTypes?array<>

The product class types for filtering.

embed?array<string>

Specifies the resource, which should be embed in response. It is not supported for now.

page?

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/assignments/applications/CLEAR-CUSTOMS?productIds=123"
{
  "data": [
    {
      "detail": "Small",
      "assignmentUuid": "ee30676e-1a21-4caf-975f-26f71f5bfbdf",
      "productId": "pid-12345",
      "shopIds": [
        101,
        102
      ],
      "productName": "Samsung Galaxy Tab S7 Fe, 12.4 Inch\n",
      "productClassCode": "12321342",
      "productClassType": "Code8",
      "fixedWidthProductClass": "1232134200",
      "taxonomy": "TARIC",
      "assignmentStatus": "ASSIGNED",
      "assignmentVersion": 1,
      "assignmentStrategy": "CUSTOMS-CODE",
      "lastModifiedDate": "2024-03-20T13:08:49"
    },
    {
      "detail": "Small",
      "assignmentUuid": "1e6be043-74f6-4992-833d-9df6607b1f11",
      "productId": "pid-2564",
      "shopIds": [
        101,
        102
      ],
      "productName": "My Beautiful product\n",
      "productClassCode": "987654",
      "productClassType": "Code6",
      "fixedWidthProductClass": "9876540000",
      "taxonomy": "TARIC",
      "assignmentStatus": "ASSIGNED",
      "assignmentVersion": 2,
      "assignmentStrategy": "MANUAL",
      "lastModifiedDate": "2024-03-20T13:08:49"
    }
  ],
  "links": {
    "prev": "url_for_the_previous_page",
    "next": "url_for_the_next_page"
  }
}
{
  "code": "BadRequest",
  "message": "Bad request.",
  "status": "BAD_REQUEST"
}
{
  "code": "Unauthorized",
  "message": "Not authorized.",
  "status": "UNAUTHORIZED"
}
{
  "code": "NotFound",
  "message": "The requested resource could not be found. Either no object exists with the ID provided in the path, or the path is incorrect.",
  "status": "NOT_FOUND"
}